Skip to content
Developer

StudioTraining / StudioTrainingSession

Studio training6 EndpointsCRM / StudioTraining / StudioTrainingSession

Returns a list of StudioTrainingSession objects

GET/api/crm/studio_training/session

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
trainingPersonDatastring
planstring
planDaystring
trainerstringTrainer who supervised the unit, if any
performedAtstring
statusstring
sourcestring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of StudioTrainingSession objectsarray<StudioTrainingSession>

Show fields (17)
  • idinteger

    Primary key of the training session. Internal ID.

  • training_person_dataStudioTrainingPersonData

    Training data of the person who trained.

    Show fields (8)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • trainer_notesstring

      Notes of the trainer about the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • planStudioTrainingPlan3

    Training plan the session belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan3

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • plan_dayStudioTrainingPlanDay3

    Plan day the session belongs to.

    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan3

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • trainerCRMPerson10

    Trainer who supervised the unit, if any

    Show fields (81)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • positionstring

      Position or role of the person.

    • languagestring

      Preferred language of the person.

    • special_salutationstring

      Special salutation text for letters.

    • form_of_salutationstring

      Form of salutation, for example formal or informal.

    • birthdaystring (date-time)

      Birthday of the person.

    • known_allergiesstring

      Known allergies of the person.

    • confirmed_no_allergiesboolean

      Guardian confirmed that there are no known allergies.

    • allow_photosboolean

      Photos of the person may be taken and published.

    • allow_leaving_aloneboolean

      The person may leave the event alone.

    • authorized_pickupstring

      Persons who are allowed to pick up the person.

    • needs_supportboolean

      The person needs support, for example for inclusion.

    • support_descriptionstring

      Description of the support the person needs.

    • financial_supportboolean

      The person receives financial support.

    • financial_support_numberstring

      Number of the financial support.

    • municipal_supportboolean

      The person receives municipal support.

    • municipal_support_numberstring

      Number of the municipal support.

    • grade_levelinteger

      School grade level of the person.

    • school_classstring

      School class of the person.

    • start_timestring (date-time)

      Start of the membership or activity.

    • start_time_reasonstring

      Reason for the start.

    • end_timestring (date-time)

      End of the membership or activity.

    • end_time_reasonstring

      Reason for the end.

    • confirmed_gtc_timestring (date-time)

      Time the general terms and conditions were confirmed.

    • chatbot_opt_inboolean

      Einwilligung in die Nutzung des KI-Assistenten. Denormalisierter aktueller Stand - das pruefbare Protokoll steht in ChatbotConsent.

    • chatbot_opt_in_atstring (date-time)

      Time the person opted in to the chatbot.

    • chatbot_opt_in_text_versionstring

      Version des Einwilligungstextes, dem zugestimmt wurde. Weicht sie von der aktuellen Version ab, ist das Opt-in abgelaufen.

    • app_usage_statistics_opt_outboolean

      Widerspruch gegen die anonyme Nutzungsstatistik der Mitglieder-App. Die App liest ihn aus den StaticData und schickt dann nichts mehr; die gezaehlten Aufrufe selbst haben keinen Bezug zur Person.

    • crm_person_contact_dataarray<CRMPersonContactData>

      Contact data of the person, for example phone and e-mail.

    • archivedboolean

      Whether the person is archived.

    • subscribed_newsletterboolean

      Whether the person subscribed to the newsletter.

    • subscribed_magazineboolean

      Whether the person subscribed to the magazine.

    • printed_member_cardboolean

      Whether a member card has been printed for the person.

    • has_login_userboolean

      Whether the person has a login user.

    • profile_picture_urlstring

      URL of the profile picture of the person.

    • log_book_staffboolean

      Log book flag: staff.

    • log_book_staff1boolean

      Log book flag: staff, level 1.

    • log_book_staff2boolean

      Log book flag: staff, level 2.

    • log_book_memberboolean

      Log book flag: member.

    • log_book_trainerboolean

      Log book flag: trainer.

    • log_book_trainer1boolean

      Log book flag: trainer, level 1.

    • log_book_trainer2boolean

      Log book flag: trainer, level 2.

    • log_book_head_of_departmentboolean

      Log book flag: head of department.

    • log_book_supervisory_boardboolean

      Log book flag: supervisory board.

    • log_book_board_of_directorsboolean

      Log book flag: board of directors.

    • log_book_honorary_memberboolean

      Log book flag: honorary member.

    • log_book_club_card_oneboolean

      Log book flag: club card.

    • log_book_health_recoveredboolean

      Log book flag: recovered from illness.

    • log_book_health_vaccinatedboolean

      Log book flag: vaccinated.

    • log_book_health_vaccinated_additionstring

      Details of the vaccination.

    • log_book_good_conductboolean

      Log book flag: certificate of good conduct.

    • log_book_first_aidboolean

      Log book flag: first aid training.

    • log_book_measles_vaccinationboolean

      Log book flag: measles vaccination.

    • sync_lanistaboolean

      Whether the person is synchronized with Lanista.

    • categoryCRMPersonCategory

      Person category.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • createdstring (date-time)

      Point in time the entity was created.

    • … 2 more fields
  • performed_atstring (date-time)

    Time the training was performed.

  • duration_secondsinteger

    Duration of the session in seconds.

  • statusstring

    Status of the session, for example planned or done.

  • sourcestring

    Source of the session, for example app or device.

  • rpenumber (float)

    Overall rate of perceived exertion of the unit

  • average_heart_rateinteger

    Average heart rate in beats per minute.

  • caloriesinteger

    Calories burned.

  • notesstring

    Notes of the person.

  • trainer_notesstring

    Notes of the trainer.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "trainer_notes": "string",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true,
      "order": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "performed_at": "2026-10-15T09:30:00+02:00",
    "duration_seconds": 1,
    "status": "string",
    "source": "string",
    "rpe": 1.5
  }
]

Create a single StudioTrainingSession

POST/api/crm/studio_training/session

Request body application/json

  • dataStudioTrainingSession2
    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Create a single StudioTrainingSessionStudioTrainingSession

Show fields (17)
  • idinteger

    Primary key of the training session. Internal ID.

  • training_person_dataStudioTrainingPersonData

    Training data of the person who trained.

    Show fields (8)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • trainer_notesstring

      Notes of the trainer about the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • planStudioTrainingPlan3

    Training plan the session belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan3

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • plan_dayStudioTrainingPlanDay3

    Plan day the session belongs to.

    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan3

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • trainerCRMPerson10

    Trainer who supervised the unit, if any

    Show fields (81)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • positionstring

      Position or role of the person.

    • languagestring

      Preferred language of the person.

    • special_salutationstring

      Special salutation text for letters.

    • form_of_salutationstring

      Form of salutation, for example formal or informal.

    • birthdaystring (date-time)

      Birthday of the person.

    • known_allergiesstring

      Known allergies of the person.

    • confirmed_no_allergiesboolean

      Guardian confirmed that there are no known allergies.

    • allow_photosboolean

      Photos of the person may be taken and published.

    • allow_leaving_aloneboolean

      The person may leave the event alone.

    • authorized_pickupstring

      Persons who are allowed to pick up the person.

    • needs_supportboolean

      The person needs support, for example for inclusion.

    • support_descriptionstring

      Description of the support the person needs.

    • financial_supportboolean

      The person receives financial support.

    • financial_support_numberstring

      Number of the financial support.

    • municipal_supportboolean

      The person receives municipal support.

    • municipal_support_numberstring

      Number of the municipal support.

    • grade_levelinteger

      School grade level of the person.

    • school_classstring

      School class of the person.

    • start_timestring (date-time)

      Start of the membership or activity.

    • start_time_reasonstring

      Reason for the start.

    • end_timestring (date-time)

      End of the membership or activity.

    • end_time_reasonstring

      Reason for the end.

    • confirmed_gtc_timestring (date-time)

      Time the general terms and conditions were confirmed.

    • chatbot_opt_inboolean

      Einwilligung in die Nutzung des KI-Assistenten. Denormalisierter aktueller Stand - das pruefbare Protokoll steht in ChatbotConsent.

    • chatbot_opt_in_atstring (date-time)

      Time the person opted in to the chatbot.

    • chatbot_opt_in_text_versionstring

      Version des Einwilligungstextes, dem zugestimmt wurde. Weicht sie von der aktuellen Version ab, ist das Opt-in abgelaufen.

    • app_usage_statistics_opt_outboolean

      Widerspruch gegen die anonyme Nutzungsstatistik der Mitglieder-App. Die App liest ihn aus den StaticData und schickt dann nichts mehr; die gezaehlten Aufrufe selbst haben keinen Bezug zur Person.

    • crm_person_contact_dataarray<CRMPersonContactData>

      Contact data of the person, for example phone and e-mail.

    • archivedboolean

      Whether the person is archived.

    • subscribed_newsletterboolean

      Whether the person subscribed to the newsletter.

    • subscribed_magazineboolean

      Whether the person subscribed to the magazine.

    • printed_member_cardboolean

      Whether a member card has been printed for the person.

    • has_login_userboolean

      Whether the person has a login user.

    • profile_picture_urlstring

      URL of the profile picture of the person.

    • log_book_staffboolean

      Log book flag: staff.

    • log_book_staff1boolean

      Log book flag: staff, level 1.

    • log_book_staff2boolean

      Log book flag: staff, level 2.

    • log_book_memberboolean

      Log book flag: member.

    • log_book_trainerboolean

      Log book flag: trainer.

    • log_book_trainer1boolean

      Log book flag: trainer, level 1.

    • log_book_trainer2boolean

      Log book flag: trainer, level 2.

    • log_book_head_of_departmentboolean

      Log book flag: head of department.

    • log_book_supervisory_boardboolean

      Log book flag: supervisory board.

    • log_book_board_of_directorsboolean

      Log book flag: board of directors.

    • log_book_honorary_memberboolean

      Log book flag: honorary member.

    • log_book_club_card_oneboolean

      Log book flag: club card.

    • log_book_health_recoveredboolean

      Log book flag: recovered from illness.

    • log_book_health_vaccinatedboolean

      Log book flag: vaccinated.

    • log_book_health_vaccinated_additionstring

      Details of the vaccination.

    • log_book_good_conductboolean

      Log book flag: certificate of good conduct.

    • log_book_first_aidboolean

      Log book flag: first aid training.

    • log_book_measles_vaccinationboolean

      Log book flag: measles vaccination.

    • sync_lanistaboolean

      Whether the person is synchronized with Lanista.

    • categoryCRMPersonCategory

      Person category.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • createdstring (date-time)

      Point in time the entity was created.

    • … 2 more fields
  • performed_atstring (date-time)

    Time the training was performed.

  • duration_secondsinteger

    Duration of the session in seconds.

  • statusstring

    Status of the session, for example planned or done.

  • sourcestring

    Source of the session, for example app or device.

  • rpenumber (float)

    Overall rate of perceived exertion of the unit

  • average_heart_rateinteger

    Average heart rate in beats per minute.

  • caloriesinteger

    Calories burned.

  • notesstring

    Notes of the person.

  • trainer_notesstring

    Notes of the trainer.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text"
    },
    "performed_at": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "trainer_notes": "string",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "trainer_notes": "string",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "plan_day": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "day_of_week": 1,
    "rounds": 1,
    "round_rest_seconds": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "trainer": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "language": "de",
    "support_description": "Text",
    "profile_picture_url": "https://vynst.de",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "performed_at": "2026-10-15T09:30:00+02:00",
  "duration_seconds": 1,
  "status": "string",
  "source": "string",
  "rpe": 1.5
}

Returns a single StudioTrainingSession

GET/api/crm/studio_training/session/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single StudioTrainingSessionStudioTrainingSession

Show fields (17)
  • idinteger

    Primary key of the training session. Internal ID.

  • training_person_dataStudioTrainingPersonData

    Training data of the person who trained.

    Show fields (8)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • trainer_notesstring

      Notes of the trainer about the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • planStudioTrainingPlan3

    Training plan the session belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan3

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • plan_dayStudioTrainingPlanDay3

    Plan day the session belongs to.

    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan3

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • trainerCRMPerson10

    Trainer who supervised the unit, if any

    Show fields (81)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • positionstring

      Position or role of the person.

    • languagestring

      Preferred language of the person.

    • special_salutationstring

      Special salutation text for letters.

    • form_of_salutationstring

      Form of salutation, for example formal or informal.

    • birthdaystring (date-time)

      Birthday of the person.

    • known_allergiesstring

      Known allergies of the person.

    • confirmed_no_allergiesboolean

      Guardian confirmed that there are no known allergies.

    • allow_photosboolean

      Photos of the person may be taken and published.

    • allow_leaving_aloneboolean

      The person may leave the event alone.

    • authorized_pickupstring

      Persons who are allowed to pick up the person.

    • needs_supportboolean

      The person needs support, for example for inclusion.

    • support_descriptionstring

      Description of the support the person needs.

    • financial_supportboolean

      The person receives financial support.

    • financial_support_numberstring

      Number of the financial support.

    • municipal_supportboolean

      The person receives municipal support.

    • municipal_support_numberstring

      Number of the municipal support.

    • grade_levelinteger

      School grade level of the person.

    • school_classstring

      School class of the person.

    • start_timestring (date-time)

      Start of the membership or activity.

    • start_time_reasonstring

      Reason for the start.

    • end_timestring (date-time)

      End of the membership or activity.

    • end_time_reasonstring

      Reason for the end.

    • confirmed_gtc_timestring (date-time)

      Time the general terms and conditions were confirmed.

    • chatbot_opt_inboolean

      Einwilligung in die Nutzung des KI-Assistenten. Denormalisierter aktueller Stand - das pruefbare Protokoll steht in ChatbotConsent.

    • chatbot_opt_in_atstring (date-time)

      Time the person opted in to the chatbot.

    • chatbot_opt_in_text_versionstring

      Version des Einwilligungstextes, dem zugestimmt wurde. Weicht sie von der aktuellen Version ab, ist das Opt-in abgelaufen.

    • app_usage_statistics_opt_outboolean

      Widerspruch gegen die anonyme Nutzungsstatistik der Mitglieder-App. Die App liest ihn aus den StaticData und schickt dann nichts mehr; die gezaehlten Aufrufe selbst haben keinen Bezug zur Person.

    • crm_person_contact_dataarray<CRMPersonContactData>

      Contact data of the person, for example phone and e-mail.

    • archivedboolean

      Whether the person is archived.

    • subscribed_newsletterboolean

      Whether the person subscribed to the newsletter.

    • subscribed_magazineboolean

      Whether the person subscribed to the magazine.

    • printed_member_cardboolean

      Whether a member card has been printed for the person.

    • has_login_userboolean

      Whether the person has a login user.

    • profile_picture_urlstring

      URL of the profile picture of the person.

    • log_book_staffboolean

      Log book flag: staff.

    • log_book_staff1boolean

      Log book flag: staff, level 1.

    • log_book_staff2boolean

      Log book flag: staff, level 2.

    • log_book_memberboolean

      Log book flag: member.

    • log_book_trainerboolean

      Log book flag: trainer.

    • log_book_trainer1boolean

      Log book flag: trainer, level 1.

    • log_book_trainer2boolean

      Log book flag: trainer, level 2.

    • log_book_head_of_departmentboolean

      Log book flag: head of department.

    • log_book_supervisory_boardboolean

      Log book flag: supervisory board.

    • log_book_board_of_directorsboolean

      Log book flag: board of directors.

    • log_book_honorary_memberboolean

      Log book flag: honorary member.

    • log_book_club_card_oneboolean

      Log book flag: club card.

    • log_book_health_recoveredboolean

      Log book flag: recovered from illness.

    • log_book_health_vaccinatedboolean

      Log book flag: vaccinated.

    • log_book_health_vaccinated_additionstring

      Details of the vaccination.

    • log_book_good_conductboolean

      Log book flag: certificate of good conduct.

    • log_book_first_aidboolean

      Log book flag: first aid training.

    • log_book_measles_vaccinationboolean

      Log book flag: measles vaccination.

    • sync_lanistaboolean

      Whether the person is synchronized with Lanista.

    • categoryCRMPersonCategory

      Person category.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • createdstring (date-time)

      Point in time the entity was created.

    • … 2 more fields
  • performed_atstring (date-time)

    Time the training was performed.

  • duration_secondsinteger

    Duration of the session in seconds.

  • statusstring

    Status of the session, for example planned or done.

  • sourcestring

    Source of the session, for example app or device.

  • rpenumber (float)

    Overall rate of perceived exertion of the unit

  • average_heart_rateinteger

    Average heart rate in beats per minute.

  • caloriesinteger

    Calories burned.

  • notesstring

    Notes of the person.

  • trainer_notesstring

    Notes of the trainer.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "trainer_notes": "string",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "trainer_notes": "string",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "plan_day": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "day_of_week": 1,
    "rounds": 1,
    "round_rest_seconds": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "trainer": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "language": "de",
    "support_description": "Text",
    "profile_picture_url": "https://vynst.de",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "performed_at": "2026-10-15T09:30:00+02:00",
  "duration_seconds": 1,
  "status": "string",
  "source": "string",
  "rpe": 1.5
}

Update a single StudioTrainingSession

PUT/api/crm/studio_training/session/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingSession2
    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single StudioTrainingSessionStudioTrainingSession

Show fields (17)
  • idinteger

    Primary key of the training session. Internal ID.

  • training_person_dataStudioTrainingPersonData

    Training data of the person who trained.

    Show fields (8)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • trainer_notesstring

      Notes of the trainer about the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • planStudioTrainingPlan3

    Training plan the session belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan3

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • plan_dayStudioTrainingPlanDay3

    Plan day the session belongs to.

    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan3

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • trainerCRMPerson10

    Trainer who supervised the unit, if any

    Show fields (81)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • positionstring

      Position or role of the person.

    • languagestring

      Preferred language of the person.

    • special_salutationstring

      Special salutation text for letters.

    • form_of_salutationstring

      Form of salutation, for example formal or informal.

    • birthdaystring (date-time)

      Birthday of the person.

    • known_allergiesstring

      Known allergies of the person.

    • confirmed_no_allergiesboolean

      Guardian confirmed that there are no known allergies.

    • allow_photosboolean

      Photos of the person may be taken and published.

    • allow_leaving_aloneboolean

      The person may leave the event alone.

    • authorized_pickupstring

      Persons who are allowed to pick up the person.

    • needs_supportboolean

      The person needs support, for example for inclusion.

    • support_descriptionstring

      Description of the support the person needs.

    • financial_supportboolean

      The person receives financial support.

    • financial_support_numberstring

      Number of the financial support.

    • municipal_supportboolean

      The person receives municipal support.

    • municipal_support_numberstring

      Number of the municipal support.

    • grade_levelinteger

      School grade level of the person.

    • school_classstring

      School class of the person.

    • start_timestring (date-time)

      Start of the membership or activity.

    • start_time_reasonstring

      Reason for the start.

    • end_timestring (date-time)

      End of the membership or activity.

    • end_time_reasonstring

      Reason for the end.

    • confirmed_gtc_timestring (date-time)

      Time the general terms and conditions were confirmed.

    • chatbot_opt_inboolean

      Einwilligung in die Nutzung des KI-Assistenten. Denormalisierter aktueller Stand - das pruefbare Protokoll steht in ChatbotConsent.

    • chatbot_opt_in_atstring (date-time)

      Time the person opted in to the chatbot.

    • chatbot_opt_in_text_versionstring

      Version des Einwilligungstextes, dem zugestimmt wurde. Weicht sie von der aktuellen Version ab, ist das Opt-in abgelaufen.

    • app_usage_statistics_opt_outboolean

      Widerspruch gegen die anonyme Nutzungsstatistik der Mitglieder-App. Die App liest ihn aus den StaticData und schickt dann nichts mehr; die gezaehlten Aufrufe selbst haben keinen Bezug zur Person.

    • crm_person_contact_dataarray<CRMPersonContactData>

      Contact data of the person, for example phone and e-mail.

    • archivedboolean

      Whether the person is archived.

    • subscribed_newsletterboolean

      Whether the person subscribed to the newsletter.

    • subscribed_magazineboolean

      Whether the person subscribed to the magazine.

    • printed_member_cardboolean

      Whether a member card has been printed for the person.

    • has_login_userboolean

      Whether the person has a login user.

    • profile_picture_urlstring

      URL of the profile picture of the person.

    • log_book_staffboolean

      Log book flag: staff.

    • log_book_staff1boolean

      Log book flag: staff, level 1.

    • log_book_staff2boolean

      Log book flag: staff, level 2.

    • log_book_memberboolean

      Log book flag: member.

    • log_book_trainerboolean

      Log book flag: trainer.

    • log_book_trainer1boolean

      Log book flag: trainer, level 1.

    • log_book_trainer2boolean

      Log book flag: trainer, level 2.

    • log_book_head_of_departmentboolean

      Log book flag: head of department.

    • log_book_supervisory_boardboolean

      Log book flag: supervisory board.

    • log_book_board_of_directorsboolean

      Log book flag: board of directors.

    • log_book_honorary_memberboolean

      Log book flag: honorary member.

    • log_book_club_card_oneboolean

      Log book flag: club card.

    • log_book_health_recoveredboolean

      Log book flag: recovered from illness.

    • log_book_health_vaccinatedboolean

      Log book flag: vaccinated.

    • log_book_health_vaccinated_additionstring

      Details of the vaccination.

    • log_book_good_conductboolean

      Log book flag: certificate of good conduct.

    • log_book_first_aidboolean

      Log book flag: first aid training.

    • log_book_measles_vaccinationboolean

      Log book flag: measles vaccination.

    • sync_lanistaboolean

      Whether the person is synchronized with Lanista.

    • categoryCRMPersonCategory

      Person category.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • createdstring (date-time)

      Point in time the entity was created.

    • … 2 more fields
  • performed_atstring (date-time)

    Time the training was performed.

  • duration_secondsinteger

    Duration of the session in seconds.

  • statusstring

    Status of the session, for example planned or done.

  • sourcestring

    Source of the session, for example app or device.

  • rpenumber (float)

    Overall rate of perceived exertion of the unit

  • average_heart_rateinteger

    Average heart rate in beats per minute.

  • caloriesinteger

    Calories burned.

  • notesstring

    Notes of the person.

  • trainer_notesstring

    Notes of the trainer.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text"
    },
    "performed_at": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "trainer_notes": "string",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "trainer_notes": "string",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "plan_day": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "day_of_week": 1,
    "rounds": 1,
    "round_rest_seconds": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "trainer": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "language": "de",
    "support_description": "Text",
    "profile_picture_url": "https://vynst.de",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "performed_at": "2026-10-15T09:30:00+02:00",
  "duration_seconds": 1,
  "status": "string",
  "source": "string",
  "rpe": 1.5
}

Update a single StudioTrainingSession

PATCH/api/crm/studio_training/session/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingSession2
    Show fields (16)
    • idinteger

      Primary key of the training session. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person who trained.

    • planStudioTrainingPlan

      Training plan the session belongs to.

    • plan_dayStudioTrainingPlanDay

      Plan day the session belongs to.

    • trainerCRMPerson10

      Trainer who supervised the unit, if any

    • performed_atstring (date-time)

      Time the training was performed.

    • duration_secondsinteger

      Duration of the session in seconds.

    • statusstring

      Status of the session, for example planned or done.

    • sourcestring

      Source of the session, for example app or device.

    • rpenumber (float)

      Overall rate of perceived exertion of the unit

    • average_heart_rateinteger

      Average heart rate in beats per minute.

    • caloriesinteger

      Calories burned.

    • notesstring

      Notes of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single StudioTrainingSessionStudioTrainingSession

Show fields (17)
  • idinteger

    Primary key of the training session. Internal ID.

  • training_person_dataStudioTrainingPersonData

    Training data of the person who trained.

    Show fields (8)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • trainer_notesstring

      Notes of the trainer about the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • planStudioTrainingPlan3

    Training plan the session belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan3

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • plan_dayStudioTrainingPlanDay3

    Plan day the session belongs to.

    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan3

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • trainerCRMPerson10

    Trainer who supervised the unit, if any

    Show fields (81)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • positionstring

      Position or role of the person.

    • languagestring

      Preferred language of the person.

    • special_salutationstring

      Special salutation text for letters.

    • form_of_salutationstring

      Form of salutation, for example formal or informal.

    • birthdaystring (date-time)

      Birthday of the person.

    • known_allergiesstring

      Known allergies of the person.

    • confirmed_no_allergiesboolean

      Guardian confirmed that there are no known allergies.

    • allow_photosboolean

      Photos of the person may be taken and published.

    • allow_leaving_aloneboolean

      The person may leave the event alone.

    • authorized_pickupstring

      Persons who are allowed to pick up the person.

    • needs_supportboolean

      The person needs support, for example for inclusion.

    • support_descriptionstring

      Description of the support the person needs.

    • financial_supportboolean

      The person receives financial support.

    • financial_support_numberstring

      Number of the financial support.

    • municipal_supportboolean

      The person receives municipal support.

    • municipal_support_numberstring

      Number of the municipal support.

    • grade_levelinteger

      School grade level of the person.

    • school_classstring

      School class of the person.

    • start_timestring (date-time)

      Start of the membership or activity.

    • start_time_reasonstring

      Reason for the start.

    • end_timestring (date-time)

      End of the membership or activity.

    • end_time_reasonstring

      Reason for the end.

    • confirmed_gtc_timestring (date-time)

      Time the general terms and conditions were confirmed.

    • chatbot_opt_inboolean

      Einwilligung in die Nutzung des KI-Assistenten. Denormalisierter aktueller Stand - das pruefbare Protokoll steht in ChatbotConsent.

    • chatbot_opt_in_atstring (date-time)

      Time the person opted in to the chatbot.

    • chatbot_opt_in_text_versionstring

      Version des Einwilligungstextes, dem zugestimmt wurde. Weicht sie von der aktuellen Version ab, ist das Opt-in abgelaufen.

    • app_usage_statistics_opt_outboolean

      Widerspruch gegen die anonyme Nutzungsstatistik der Mitglieder-App. Die App liest ihn aus den StaticData und schickt dann nichts mehr; die gezaehlten Aufrufe selbst haben keinen Bezug zur Person.

    • crm_person_contact_dataarray<CRMPersonContactData>

      Contact data of the person, for example phone and e-mail.

    • archivedboolean

      Whether the person is archived.

    • subscribed_newsletterboolean

      Whether the person subscribed to the newsletter.

    • subscribed_magazineboolean

      Whether the person subscribed to the magazine.

    • printed_member_cardboolean

      Whether a member card has been printed for the person.

    • has_login_userboolean

      Whether the person has a login user.

    • profile_picture_urlstring

      URL of the profile picture of the person.

    • log_book_staffboolean

      Log book flag: staff.

    • log_book_staff1boolean

      Log book flag: staff, level 1.

    • log_book_staff2boolean

      Log book flag: staff, level 2.

    • log_book_memberboolean

      Log book flag: member.

    • log_book_trainerboolean

      Log book flag: trainer.

    • log_book_trainer1boolean

      Log book flag: trainer, level 1.

    • log_book_trainer2boolean

      Log book flag: trainer, level 2.

    • log_book_head_of_departmentboolean

      Log book flag: head of department.

    • log_book_supervisory_boardboolean

      Log book flag: supervisory board.

    • log_book_board_of_directorsboolean

      Log book flag: board of directors.

    • log_book_honorary_memberboolean

      Log book flag: honorary member.

    • log_book_club_card_oneboolean

      Log book flag: club card.

    • log_book_health_recoveredboolean

      Log book flag: recovered from illness.

    • log_book_health_vaccinatedboolean

      Log book flag: vaccinated.

    • log_book_health_vaccinated_additionstring

      Details of the vaccination.

    • log_book_good_conductboolean

      Log book flag: certificate of good conduct.

    • log_book_first_aidboolean

      Log book flag: first aid training.

    • log_book_measles_vaccinationboolean

      Log book flag: measles vaccination.

    • sync_lanistaboolean

      Whether the person is synchronized with Lanista.

    • categoryCRMPersonCategory

      Person category.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • createdstring (date-time)

      Point in time the entity was created.

    • … 2 more fields
  • performed_atstring (date-time)

    Time the training was performed.

  • duration_secondsinteger

    Duration of the session in seconds.

  • statusstring

    Status of the session, for example planned or done.

  • sourcestring

    Source of the session, for example app or device.

  • rpenumber (float)

    Overall rate of perceived exertion of the unit

  • average_heart_rateinteger

    Average heart rate in beats per minute.

  • caloriesinteger

    Calories burned.

  • notesstring

    Notes of the person.

  • trainer_notesstring

    Notes of the trainer.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true
    },
    "plan_day": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "day_of_week": 1,
      "rounds": 1,
      "round_rest_seconds": 1
    },
    "trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text"
    },
    "performed_at": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "trainer_notes": "string",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "trainer_notes": "string",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "plan_day": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "day_of_week": 1,
    "rounds": 1,
    "round_rest_seconds": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "trainer": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "language": "de",
    "support_description": "Text",
    "profile_picture_url": "https://vynst.de",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "performed_at": "2026-10-15T09:30:00+02:00",
  "duration_seconds": 1,
  "status": "string",
  "source": "string",
  "rpe": 1.5
}

Delete a single StudioTrainingSession (soft delete)

DELETE/api/crm/studio_training/session/{identifier}

Path parameters

identifierrequiredstring

Responses

200Delete a single StudioTrainingSessionStudioTrainingSession

Show fields (17)
  • idinteger

    Primary key of the training session. Internal ID.

  • training_person_dataStudioTrainingPersonData

    Training data of the person who trained.

    Show fields (8)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • trainer_notesstring

      Notes of the trainer about the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • planStudioTrainingPlan3

    Training plan the session belongs to.

    Show fields (17)
    • idinteger

      Primary key of the training plan. Internal ID.

    • training_person_dataStudioTrainingPersonData

      Training data of the person the plan is for.

    • namestring

      Name of the training plan.

    • descriptionstring

      Description of the training plan.

    • times_per_weekinteger

      Planned number of training sessions per week.

    • statusstring

      One of the STATUS_* constants

    • is_templateboolean

      True for reusable templates that are not bound to a training person

    • valid_fromstring (date-time)

      Start of the plan.

    • valid_untilstring (date-time)

      End of the plan.

    • review_datestring (date-time)

      Date the plan should be reviewed with the member (Wiedervorlage)

    • training_goalstring

      Training goal of the plan, e.g. muscle building, weight loss, rehab

    • created_by_personCRMPerson10

      Trainer who created the plan, kept for the training documentation

    • source_templateStudioTrainingPlan3

      Template this plan was created from, if it was assigned from a template

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • plan_dayStudioTrainingPlanDay3

    Plan day the session belongs to.

    Show fields (11)
    • idinteger

      Primary key of the plan day. Internal ID.

    • planStudioTrainingPlan3

      Plan the day belongs to.

    • namestring

      Name of the plan day.

    • descriptionstring

      Description of the plan day.

    • day_of_weekinteger

      Optional fixed weekday (1 = Monday ... 7 = Sunday) if the plan is bound to weekdays

    • roundsinteger

      Number of rounds if the day is executed as a circuit (Zirkeltraining)

    • round_rest_secondsinteger

      Pause between circuit rounds in seconds

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • orderinteger

      Position of the entity in the order.

  • trainerCRMPerson10

    Trainer who supervised the unit, if any

    Show fields (81)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • positionstring

      Position or role of the person.

    • languagestring

      Preferred language of the person.

    • special_salutationstring

      Special salutation text for letters.

    • form_of_salutationstring

      Form of salutation, for example formal or informal.

    • birthdaystring (date-time)

      Birthday of the person.

    • known_allergiesstring

      Known allergies of the person.

    • confirmed_no_allergiesboolean

      Guardian confirmed that there are no known allergies.

    • allow_photosboolean

      Photos of the person may be taken and published.

    • allow_leaving_aloneboolean

      The person may leave the event alone.

    • authorized_pickupstring

      Persons who are allowed to pick up the person.

    • needs_supportboolean

      The person needs support, for example for inclusion.

    • support_descriptionstring

      Description of the support the person needs.

    • financial_supportboolean

      The person receives financial support.

    • financial_support_numberstring

      Number of the financial support.

    • municipal_supportboolean

      The person receives municipal support.

    • municipal_support_numberstring

      Number of the municipal support.

    • grade_levelinteger

      School grade level of the person.

    • school_classstring

      School class of the person.

    • start_timestring (date-time)

      Start of the membership or activity.

    • start_time_reasonstring

      Reason for the start.

    • end_timestring (date-time)

      End of the membership or activity.

    • end_time_reasonstring

      Reason for the end.

    • confirmed_gtc_timestring (date-time)

      Time the general terms and conditions were confirmed.

    • chatbot_opt_inboolean

      Einwilligung in die Nutzung des KI-Assistenten. Denormalisierter aktueller Stand - das pruefbare Protokoll steht in ChatbotConsent.

    • chatbot_opt_in_atstring (date-time)

      Time the person opted in to the chatbot.

    • chatbot_opt_in_text_versionstring

      Version des Einwilligungstextes, dem zugestimmt wurde. Weicht sie von der aktuellen Version ab, ist das Opt-in abgelaufen.

    • app_usage_statistics_opt_outboolean

      Widerspruch gegen die anonyme Nutzungsstatistik der Mitglieder-App. Die App liest ihn aus den StaticData und schickt dann nichts mehr; die gezaehlten Aufrufe selbst haben keinen Bezug zur Person.

    • crm_person_contact_dataarray<CRMPersonContactData>

      Contact data of the person, for example phone and e-mail.

    • archivedboolean

      Whether the person is archived.

    • subscribed_newsletterboolean

      Whether the person subscribed to the newsletter.

    • subscribed_magazineboolean

      Whether the person subscribed to the magazine.

    • printed_member_cardboolean

      Whether a member card has been printed for the person.

    • has_login_userboolean

      Whether the person has a login user.

    • profile_picture_urlstring

      URL of the profile picture of the person.

    • log_book_staffboolean

      Log book flag: staff.

    • log_book_staff1boolean

      Log book flag: staff, level 1.

    • log_book_staff2boolean

      Log book flag: staff, level 2.

    • log_book_memberboolean

      Log book flag: member.

    • log_book_trainerboolean

      Log book flag: trainer.

    • log_book_trainer1boolean

      Log book flag: trainer, level 1.

    • log_book_trainer2boolean

      Log book flag: trainer, level 2.

    • log_book_head_of_departmentboolean

      Log book flag: head of department.

    • log_book_supervisory_boardboolean

      Log book flag: supervisory board.

    • log_book_board_of_directorsboolean

      Log book flag: board of directors.

    • log_book_honorary_memberboolean

      Log book flag: honorary member.

    • log_book_club_card_oneboolean

      Log book flag: club card.

    • log_book_health_recoveredboolean

      Log book flag: recovered from illness.

    • log_book_health_vaccinatedboolean

      Log book flag: vaccinated.

    • log_book_health_vaccinated_additionstring

      Details of the vaccination.

    • log_book_good_conductboolean

      Log book flag: certificate of good conduct.

    • log_book_first_aidboolean

      Log book flag: first aid training.

    • log_book_measles_vaccinationboolean

      Log book flag: measles vaccination.

    • sync_lanistaboolean

      Whether the person is synchronized with Lanista.

    • categoryCRMPersonCategory

      Person category.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • createdstring (date-time)

      Point in time the entity was created.

    • … 2 more fields
  • performed_atstring (date-time)

    Time the training was performed.

  • duration_secondsinteger

    Duration of the session in seconds.

  • statusstring

    Status of the session, for example planned or done.

  • sourcestring

    Source of the session, for example app or device.

  • rpenumber (float)

    Overall rate of perceived exertion of the unit

  • average_heart_rateinteger

    Average heart rate in beats per minute.

  • caloriesinteger

    Calories burned.

  • notesstring

    Notes of the person.

  • trainer_notesstring

    Notes of the trainer.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/session/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "trainer_notes": "string",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "plan": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "trainer_notes": "string",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "times_per_week": 1,
    "status": "string",
    "is_template": true,
    "valid_from": "2026-10-15T09:30:00+02:00",
    "valid_until": "2026-10-15T09:30:00+02:00",
    "review_date": "2026-10-15T09:30:00+02:00"
  },
  "plan_day": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "plan": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "times_per_week": 1,
      "status": "string",
      "is_template": true,
      "valid_from": "2026-10-15T09:30:00+02:00",
      "valid_until": "2026-10-15T09:30:00+02:00",
      "review_date": "2026-10-15T09:30:00+02:00",
      "training_goal": "string"
    },
    "day_of_week": 1,
    "rounds": 1,
    "round_rest_seconds": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "trainer": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "language": "de",
    "support_description": "Text",
    "profile_picture_url": "https://vynst.de",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "performed_at": "2026-10-15T09:30:00+02:00",
  "duration_seconds": 1,
  "status": "string",
  "source": "string",
  "rpe": 1.5
}